View Issue Details

IDProjectCategoryView StatusLast Update
0004124Slicer4Core: Base Codepublic2016-01-26 16:29
ReporterjcfrAssigned Tojcfr 
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.6.0Fixed in VersionSlicer 4.6.0 
Summary0004124: Slicer.exe (AppLauncher) detected as a malware [Hoax.Win32.ArchSMS.cnpls] by Microsoft
Description

Existing installation of Slicer 4.4.0 and new installation of Slicer 4.5.0-1 are not functional because Microsoft antivirus flagged the launcher as malware.

Initially reported by Andrea Barbaglia, Physicist at Neurological Institute "Carlo Besta", Milano (Italy)

TagsNo tags attached.

Relationships

related to 0004123 closedjcfr Slicer.exe (AppLauncher) detected as a malware [PDM:Trojan.Win32.Bazon.a] by Kaspersky 

Activities

pieper

pieper

2016-01-13 12:48

administrator   ~0013718

A user reported that "Zonealarm Extreme Suite" warns of multiple viruses during installation of Slicer.

pieper

pieper

2016-01-13 13:22

administrator   ~0013719

Zonealarm info:

The signatures are:
HOAX.WIN32.ArchSMS.cnpls
HOAX.WIN32.ArchSMS.cpou

Both are identified running the installer.
The first one is identified when checking the installation file only with Zonealarm.

pieper

pieper

2016-01-14 09:20

administrator   ~0013721

Another use reports:

the current version of Sophos Antivirus reports

File "C:\Program Files\Slicer 4.5.0-1\bin\Slicer.exe" belongs to
virus/spyware 'Mal/Generic-S'.

for the Slicer 4.5, x64. The nightly build works fine. Also, the
webmaster@bwh.harvard.edu is unreachable. Could the download site be
compromised?

jcfr

jcfr

2016-01-25 09:09

administrator   ~0013743

Fixed in r24838 where a new launched built against Qt 4.8.6 has been integrated.
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=24838

Issue History

Date Modified Username Field Change
2016-01-10 14:22 jcfr New Issue
2016-01-10 14:22 jcfr Status new => assigned
2016-01-10 14:22 jcfr Assigned To => jcfr
2016-01-10 14:23 jcfr Relationship added related to 0004123
2016-01-13 12:48 pieper Note Added: 0013718
2016-01-13 13:22 pieper Note Added: 0013719
2016-01-14 09:20 pieper Note Added: 0013721
2016-01-25 09:09 jcfr Note Added: 0013743
2016-01-25 09:09 jcfr Status assigned => resolved
2016-01-25 09:09 jcfr Resolution open => fixed
2016-01-25 09:10 jcfr Fixed in Version => Slicer 4.6.0
2016-01-26 16:29 jcfr Status resolved => closed